> For the complete documentation index, see [llms.txt](https://docs.payswap.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payswap.org/deutsch/use-cases/ssi/single-sign-on.md).

# Einmalige Anmeldung

Single sign-on (SSO) ist eine Authentifizierungsmethode, die es Benutzern ermöglicht, sich sicher bei mehreren Anwendungen und Websites mit nur einem Satz von Anmeldedaten anzumelden.

## Wie funktioniert es ?

Sie lassen Ihre Benutzer ihre SSIDs sowie Identitätstoken aus diesen SSIDs erstellen. Um sich bei Ihrem Dienst anzumelden, müssen sie lediglich die IDs der Identitätstoken eingeben.

Im Hintergrund überprüfen Sie, ob die Identitätstoken (die NFTs sind) wirklich zu den Benutzern gehören, und wenn ja, erhalten Sie die SSID aus dem Identitätstoken.

Um eine SSID aus einem Identitätstoken zu erhalten, müssten Sie die **Metadata**-Funktion des SSI-Vertrags abfragen, der die Identitätstoken-ID übergeben wird

```solidity
// Beispielcode
ISSI(ssiContract).metadata(identity_token_id)
```

Dies liefert ein Metadatenobjekt mit dem folgenden Format zurück

```solidity
struct SSIData {
    uint senderProfileId;
    uint receiverProfileId;
    uint auditorProfileId;
    uint deadline;
    string question;
    string answer;
    ProofType proofType;
}
```

Um die tatsächliche SSID zu erhalten, erhalten Sie die Antwortvariable, nachdem Sie überprüft haben, dass die Frage wirklich SSID ist

```solidity
// Vollständiger Code
function getSSID(uint _identity_token_id) external returns(string memory) {
    SSIData memory data = ISSI(ssiContract).metadata(identity_token_id)
    require(keccak256(abi.encodePacked(data.question)) == keccak256(abi.encodePacked("ssid")))
    return data.answer
}
```

Sie verwenden die von Ihren Benutzern aus ihren Identitätstoken gesammelten SSID-Daten als ihre Kennungen und melden sie nach dieser schnellen Überprüfung an.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payswap.org/deutsch/use-cases/ssi/single-sign-on.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
